<div class="row">
  <div class="col-4">
    <div class="card">
      <div class="card-header">{{'common.profile' | translate}}</div>
      <div class="card-body">
        <div class="row" style="justify-content: center">
          <ngx-avatar size="200" [round]="false" src="assets/img/avatars/avatar.png" class="ngx-avatar-margin">
          </ngx-avatar>
        </div>
        <div class="col mb-4">
          <div class="row profile-row">
            <div class="col">{{'profile.user_name' | translate}}</div>
            <div class="col">{{user.user_name}}</div>
          </div>
          <div class="row profile-row">
            <div class="col">{{'profile.name' | translate}}</div>
            <div class="col">{{user.name}}</div>
          </div>
          <div class="row profile-row">
            <div class="col">{{'profile.gender' | translate}}</div>
            <div class="col">{{user.sex}}</div>
          </div>
          <div class="row profile-row">
            <div class="col">{{'profile.phone_number' | translate}}</div>
            <div class="col">{{user.phone_number}}</div>
          </div>
          <div class="row profile-row">
            <div class="col">{{'profile.email' | translate}}</div>
            <div class="col">{{user.email}}</div>
          </div>
          <div class="row profile-row">
            <div class="col">{{'profile.date_of_birth' | translate}}</div>
            <div class="col">{{user.date_of_birthday}}</div>
          </div>
          <div class="row profile-row">
            <div class="col">{{'common.created_at' | translate}}</div>
            <div class="col">{{user.date_created}}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-8">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-header">{{'common.profile' | translate}}</div>
          <div class="card-body">
            <form [formGroup]="profileForm" (ngSubmit)="submitProfile()">
              <div class="form-group row top-buffer">
                <label class="col-2 col-form-label offset-0" for="user_name">{{'profile.user_name' | translate}}</label>
                <div class="col-3">
                  <input [placeholder]="'profile.user_name' | translate" class="form-control" type="text" id="user_name"
                    formControlName="user_name" required>
                  <div
                    *ngIf="profileForm.get('user_name').invalid && (profileForm.get('user_name').dirty || profileForm.get('user_name').touched)"
                    class="text-danger">
                    <div *ngIf="profileForm.get('user_name').errors.required">
                      {{'error.validate.input_required' | translate}}
                    </div>
                    <div *ngIf="profileForm.get('user_name').errors.pattern">
                      {{'error.validate.user_name.pattern' | translate}}
                    </div>
                  </div>
                </div>
                <label class="col-2 col-form-label offset-1" for="name">{{'profile.name' | translate}}</label>
                <div class="col-3">
                  <input class="form-control" type="text" id="name" formControlName="name"
                    [placeholder]="'profile.name' | translate" required>
                  <div
                    *ngIf="profileForm.get('name').invalid && (profileForm.get('name').dirty || profileForm.get('name').touched)"
                    class="text-danger">
                    <div *ngIf="profileForm.get('name').errors.required">
                      {{'error.validate.input_required' | translate}}
                    </div>
                    <div *ngIf="profileForm.get('name').errors.maxlength">
                      {{'error.validate.name.maxlength' | translate}}
                    </div>
                    <div *ngIf="profileForm.get('name').errors.minlength">
                      {{'error.validate.name.minlength' | translate}}
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-group row top-buffer">
                <label class="col-2 col-form-label offset-0" for="phone_number">{{'profile.phone_number' |
                  translate}}</label>
                <div class="col-3">
                  <input [placeholder]="'profile.phone_number' | translate" class="form-control" type="text"
                    id="phone_number" formControlName="phone_number" required>
                  <div
                    *ngIf="profileForm.get('phone_number').invalid && (profileForm.get('phone_number').dirty || profileForm.get('phone_number').touched)"
                    class="text-danger">
                    <div *ngIf="profileForm.get('phone_number').errors.required">
                      {{'error.validate.input_required' | translate}}
                    </div>
                    <div *ngIf="profileForm.get('phone_number').errors.pattern">
                      {{'error.validate.phone_number.invalid' | translate}}
                    </div>
                  </div>
                </div>
                <label class="col-2 col-form-label offset-1">{{'profile.gender' | translate}}</label>
                <div class="col-3">
                  <select class="form-control" formControlName="sex">
                    <option [value]="sex.value" *ngFor="let sex of sexes; let i = index">{{sex.name}}</option>
                  </select>
                </div>
              </div>
              <div class="form-group row top-buffer">
                <label class="col-2 col-form-label offset-0" for="email">{{'profile.email' | translate}}</label>
                <div class="col-3">
                  <input [placeholder]="'profile.email' | translate" class="form-control" type="text" id="email"
                    formControlName="email" required>
                  <div
                    *ngIf="profileForm.get('email').invalid && (profileForm.get('email').dirty || profileForm.get('email').touched)"
                    class="text-danger">
                    <div *ngIf="profileForm.get('email').errors.required">
                      {{'error.validate.email.required' | translate}}
                    </div>
                    <div *ngIf="profileForm.get('email').errors.email">
                      {{'error.validate.email.invalid' | translate}}
                    </div>
                  </div>
                </div>
                <label class="col-2 col-form-label offset-1" for="date_of_birth">{{'profile.date_of_birth' |
                  translate}}</label>
                <div class="col-3">
                  <input id="date_of_birth" class="form-control input-icons input-field" [owlDateTime]="dt1"
                    formControlName="date_of_birthday" [placeholder]="'profile.date_of_birth' | translate">
                  <span class="trigger" [owlDateTimeTrigger]="dt1"><i class="fa fa-calendar fa-2x"></i></span>
                  <owl-date-time #dt1 [pickerType]="'calendar'"></owl-date-time>
                  <div
                    *ngIf="profileForm.get('date_of_birthday').invalid && (profileForm.get('date_of_birthday').dirty || profileForm.get('date_of_birthday').touched)"
                    class="text-danger">
                    <div *ngIf="profileForm.get('date_of_birthday').errors.required">
                      {{'error.validate.date_of_birth.required' | translate}}
                    </div>
                  </div>
                </div>
              </div>
              <div class="form-group row top-buffer" style="justify-content: center">
                <button type="submit" [disabled]="!profileForm.valid" class="btn btn-block btn-primary col-2 offset-4"
                  style="margin: 1%">
                  <i class="icon-pencil"></i>
                  <span class="d-none d-md-inline">{{'common.update' | translate}}</span>
                </button>
                <button (click)="loadAll()" type="button" class="btn btn-block btn-danger col-2" style="margin: 1%">
                  <i class="fa fa-refresh"></i>
                  <span class="d-none d-md-inline">{{'common.refresh' | translate}}</span>
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
      <div class="col-6">
        <div class="card">
          <div class="card-header">{{'profile.change_password' | translate}}</div>
          <form [formGroup]="passwordForm" (ngSubmit)="changePassword()" style="margin-top: 20px;">
            <div class="form-group row top-buffer" style="justify-content: space-around">
              <label class="col-3 col-form-label offset-1" for="old_password">{{'profile.password' |
                translate}}</label>
              <div class="col-6">
                <input [placeholder]="'profile.password' | translate" class="form-control" type="password"
                  id="old_password" formControlName="current_password">
                <span class="text-danger"
                  *ngIf="passwordForm.get('current_password').touched && passwordForm.get('current_password').invalid">
                  {{'error.validate.password.required' | translate}}
                </span>
              </div>
            </div>
            <div class="form-group row top-buffer" style="justify-content: space-around">
              <label class="col-3 col-form-label offset-1" for="new_password">{{'profile.new_password' |
                translate}}</label>
              <div class="col-6">
                <input [placeholder]="'profile.new_password' | translate" class="form-control" type="password"
                  id="new_password" formControlName="new_password" required minlength="6" maxlength="20">
                <div
                  *ngIf="passwordForm.get('new_password').invalid && (passwordForm.get('new_password').dirty || passwordForm.get('new_password').touched)"
                  class="text-danger">
                  <div *ngIf="passwordForm.get('new_password').errors.required">
                    {{'error.validate.password.required' | translate}}
                  </div>
                  <div *ngIf="passwordForm.get('new_password').errors.minlength">
                    {{'error.validate.password.minlength' | translate}}
                  </div>
                  <div *ngIf="passwordForm.get('new_password').errors.maxlength">
                    {{'error.validate.password.maxlength' | translate}}
                  </div>
                  <div *ngIf="passwordForm.get('new_password').errors.pattern">
                    sai pattern
                  </div>
                </div>
              </div>
            </div>
            <div class="form-group row top-buffer" style="justify-content: space-around">
              <label class="col-3 col-form-label offset-1" for="new_password_check">{{'profile.confirm_new_password' |
                translate}}</label>
              <div class="col-6">
                <input [placeholder]="'profile.confirm_new_password' | translate" class="form-control" type="password"
                  id="new_password_check" formControlName="confirm_new_password" required minlength="6" maxlength="20">
                <div
                  *ngIf="passwordForm.get('confirm_new_password').invalid && (passwordForm.get('confirm_new_password').dirty || passwordForm.get('confirm_new_password').touched)"
                  class="text-danger">
                  <div *ngIf="passwordForm.get('confirm_new_password').errors.required">
                    {{'error.validate.password.required' | translate}}
                  </div>
                  <div *ngIf="passwordForm.get('confirm_new_password').errors.minlength">
                    {{'error.validate.password.minlength' | translate}}
                  </div>
                  <div *ngIf="passwordForm.get('confirm_new_password').errors.maxlength">
                    {{'error.validate.password.maxlength' | translate}}
                  </div>
                </div>
              </div>
            </div>
            <div class="row top-buffer mb-2" style="justify-content: center">
              <button type="submit" class="btn btn-block btn-primary col-2 offset-4" style="margin: 1%"
                [disabled]="passwordForm.invalid">
                <i class="fa fa-check-circle"></i>
                <span class="d-none d-md-inline">{{'common.confirm' | translate}}</span>
              </button>
              <button (click)="cancelChangePassword()" type="button" class="btn btn-block btn-danger col-2"
                style="margin: 1%">
                <i class="icon-action-undo"></i>
                <span class="d-none d-md-inline">{{'common.cancel' | translate}}</span>
              </button>
            </div>
          </form>
        </div>
      </div>
      <div class="col-6">
        <div class="card">
          <div class="card-header">{{'common.two_factor_authentication' | translate}}</div>
          <form [formGroup]="TowFactorAuthenticationForm" (ngSubmit)="changeTowFactorAuthentication()">
            <div>
              <div class="row" style="justify-content: center; margin-top: 29px;">
                <div class="col-5 mb-2">
                  {{'common.two_factor_authentication' | translate}}
                </div>
                <div class="col-3 mb-4">
                  <label class="switch switch-pill switch-success mb-0">
                    <input (change)="changeSwitch()" type="checkbox" class="switch-input"
                      formControlName="checkTwoFactorAuthentication">
                    <span class="switch-slider"></span>
                  </label>
                </div>
                <div class="col-9 pr-0" *ngIf="TowFactorAuthenticationForm.get('checkTwoFactorAuthentication').value">
                  <div class="form-group row top-buffer col-12 pr-0" style="justify-content: center">
                    <label class="col-4 col-form-label offset-1" for="security_code">
                      {{'profile.security_code' | translate}}
                    </label>
                    <div class="col-7">
                      <input [disabled]="checkQR" [placeholder]="'profile.security_code' | translate"
                        class="form-control" id="security_code" formControlName="security_code">
                      <span class="text-danger"
                        *ngIf="TowFactorAuthenticationForm.get('security_code').touched && TowFactorAuthenticationForm.get('security_code').invalid">
                        {{'error.validate.input_required' | translate}}
                      </span>
                    </div>
                  </div>
                  <div class="form-group row top-buffer col-12 pr-0" style="justify-content: center">
                    <label class="col-4 col-form-label offset-1" for="password">{{'profile.password' |
                      translate}}</label>
                    <div class="col-7">
                      <input [placeholder]="'profile.password' | translate" class="form-control" type="password"
                        id="QR_password" formControlName="QR_password">
                      <div
                        *ngIf="TowFactorAuthenticationForm.get('QR_password').invalid && (TowFactorAuthenticationForm.get('QR_password').dirty || TowFactorAuthenticationForm.get('QR_password').touched)"
                        class="text-danger">
                        <div *ngIf="TowFactorAuthenticationForm.get('QR_password').errors.required">
                          {{'error.validate.password.required' | translate}}
                        </div>
                        <div *ngIf="TowFactorAuthenticationForm.get('QR_password').errors.minlength">
                          {{'error.validate.password.minlength' | translate}}
                        </div>
                        <div *ngIf="TowFactorAuthenticationForm.get('QR_password').errors.maxlength">
                          {{'error.validate.password.maxlength' | translate}}
                        </div>
                        <div *ngIf="TowFactorAuthenticationForm.get('QR_password').errors.pattern">
                          sai pattern
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-3 mt-2" *ngIf="TowFactorAuthenticationForm.get('checkTwoFactorAuthentication').value "
                  style="display: flex; align-items: center; flex-direction: column;text-align: center;">
                  <div (click)="openQRCode(QRCode)" style="cursor: pointer;">
                    <i class="fa fa-fw fa-eye fs-47"></i>
                    <div>
                      {{'common.getQR' | translate}}
                    </div>
                  </div>
                </div>
                <div class="row top-buffer mb-2 col-12" style="justify-content: center">
                  <button type="submit" class="btn btn-block btn-primary col-2 offset-4" style="margin: 1%"
                    [disabled]="TowFactorAuthenticationForm.invalid && TowFactorAuthenticationForm.get('checkTwoFactorAuthentication').value || checkQR">
                    <i class="fa fa-check-circle"></i>
                    <span class="d-none d-md-inline">{{'common.save' | translate}}</span>
                  </button>
                  <button (click)="cancelTwoFactor()" type="button" class="btn btn-block btn-danger col-2"
                    style="margin: 1%">
                    <i class="icon-action-undo"></i>
                    <span class="d-none d-md-inline">{{'common.cancel' | translate}}</span>
                  </button>
                </div>
              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
  <ng-template #QRCode let-modal>
    <div class="modal-body background-white">
      <qrcode [qrdata]="qrdata" [size]="100" class="customQr" [level]="'M'" class="customQr"></qrcode>
      <div>
        {{'common.QRtext' | translate}}
      </div>
    </div>
  </ng-template>
</div>